#tmp hack
ExcludeArch: %{ix86}
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		mppdec
Version:	r96
Release:	alt1_10
Summary:	The 1.15v decoder
Group:		Sound
License:	LGPLv2+
URL:		http://www.musepack.net/
Source0:	ftp://ftp.iut-bm.univ-fcomte.fr/linux/distributions/zenwalk/source/extra/ap/musepack-tools/mpptools-%{version}.tar.bz2
Patch0:		no-asm.patch
Patch1:		mpptools-r96-mga-gcc5.patch

BuildRequires:	yasm
Source44: import.info

%description
Musepack is an audio compression format with a strong emphasis on high
quality. It's not lossless, but it is designed for transparency, so that you
won't be able to hear differences between the original wave file and the much
smaller MPC file. It is based on the MPEG-1 Layer-2 / MP2 algorithms, but
since 1997 it has rapidly developed and vastly improved and is now at an
advanced stage in which it contains heavily optimized and patentless code.
This decoder is compatible with all StreamVersions from 4 to 7. You need it if
you want to apply ReplayGain on your files or just want to decode to record on
a CD.


%prep
%setup -q -n mpptools-%{version}

sed -i -e 's/-Os//' Makefile
sed -i -e 's/-march=i586//' Makefile
sed -i -e 's/-m\$(TUNE)=i686//' Makefile
sed -i -e 's/&> $(LOGFILE)//' Makefile
sed -i -e 's/nasm/yasm/' Makefile

%ifnarch %{ix86}
%patch0 -p1
%endif
%patch1 -p1

%build
%add_optflags %optflags_shared
%ifarch %{arm}
# config goes into infinite loop with -O2 on armv5tl and armv7hl :(
%define flags %(echo %{optflags} | sed s/O2/O1/)
%else
%define flags %{optflags}
%endif

%make config.h OPTIM_SPEED="%{flags}" OPTIM_SIZE= XLIBDIR= XINCLDIR= LDADD=" -lm"
%make mppdec OPTIM_SPEED="%{flags}" OPTIM_SIZE= XLIBDIR= XINCLDIR= LDADD=" -lm"
%make replaygain OPTIM_SPEED="%{flags}" OPTIM_SIZE= XLIBDIR= XINCLDIR= LDADD=" -lm"

%install
mkdir -p %{buildroot}%{_bindir}
install -m 0755 mppdec replaygain %{buildroot}%{_bindir}

%files
%doc README
%{_bindir}/mppdec
%{_bindir}/replaygain


%changelog
* Tue Oct 03 2023 Igor Vlasenko <viy@altlinux.org> r96-alt1_10
- update by mgaimport

* Sat Feb 15 2020 Igor Vlasenko <viy@altlinux.ru> r96-alt1_9
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> r96-alt1_8
- update by mgaimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> r96-alt1_7
- new version

